Subject: bug#33442: 26.1.90; Cairo side-by-side windows scrolling fix should be cherry-picked

From: Ari Roponen <[email-masked]>
Date: Wed, 21 Nov 2018 09:11:28 +0200

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> From: Dmitry Gutov <[email-masked]>
>> Date: Tue, 20 Nov 2018 18:16:19 +0200
>> 
>> On 20.11.2018 17:58, Eli Zaretskii wrote:
>> 
>> > Thanks, but I'm not convinced we should backport that change.  We
>> > don't fix every bug on the release branch, only the important onces.
>> 
>> An argument could be made about the lesser impotance of stability 
>> guarantees for the Cairo users (since it's already broken). So I'd ask 
>> whether the given patch makes it considerably more usable, so that more 
>> people are likely to try the --with-cairo build and submit patches/bug 
>> reports/etc.
>
> Good point.  I'd like to know the answer to that.

Cairo fixes went to the release branch after 26.1 was tagged
(commit aac541e75e2c22d05752025c2087ae2eea4cb525). 
This patch is a left-over that fixes the scrolling when the window is
split side-by-side.

I have been using --with-cairo for my Emacs builds for six months, and
haven't had any major problems with it.